<?php
class AutoLoader
{
	public static function adminLoader($class)
	{
		$path = PATH_CONTROLLERS . "admin/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function generalLoader($class)
	{
		$path = PATH_CONTROLLERS . "general/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function baseLoader($class)
	{
		$path = PATH_CONTROLLERS . "base/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function hrLoader($class) 
	{
		$path = PATH_CONTROLLERS . "hr/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function portalLoader($class)
	{
		$path = PATH_CONTROLLERS . "portal/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function contentLoader($class)
	{
		$path = PATH_CONTROLLERS . "content/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function requestLoader($class) 
	{
		$path = PATH_CONTROLLERS . "request/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function exportLoader($class) 
	{
		$path = PATH_CONTROLLERS . "export/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function activityLoader($class) 
	{
		$path = PATH_CONTROLLERS . "activity/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function apiLoader($class) 
	{
		$path = PATH_CONTROLLERS . "api/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function mobileLoader($class)
	{
		$path = PATH_CONTROLLERS . "mobile/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
	public static function salesQuotationLoader($class)
	{
		$path = PATH_CONTROLLERS . "sales_quotation/{$class}.php" ;
		if (is_readable($path)) require_once $path ;
	}
}
spl_autoload_register('AutoLoader::adminLoader') ;
spl_autoload_register('AutoLoader::generalLoader') ;
spl_autoload_register('AutoLoader::baseLoader') ;
spl_autoload_register('AutoLoader::hrLoader') ;
spl_autoload_register('AutoLoader::portalLoader');
spl_autoload_register('AutoLoader::contentLoader');
spl_autoload_register('AutoLoader::requestLoader') ;
spl_autoload_register('AutoLoader::exportLoader') ;
spl_autoload_register('AutoLoader::activityLoader') ;
spl_autoload_register('AutoLoader::apiLoader') ;
spl_autoload_register('AutoLoader::mobileLoader') ;
spl_autoload_register('AutoLoader::salesQuotationLoader') ;
?>